Subject: Re: bug#66022: 30.0.50; kmacro overwriting global keybindings

From: Gerd Möllmann <[email-masked]>
Date: Sun, 17 Sep 2023 20:10:15 +0200

On 23-09-17 19:13 , Stefan Monnier wrote:
>> But how would that happen if loaddefs is preloaded?
> 
> One case this can happen is if you're hacking on the Emacs you're 
> currently running: if you look at the doc of a function, Emacs will 
> fetch that doc from the `.elc` file, but if that file was
> regenerated and the doc has moved Emacs usually detects the problem
> and reloads the (new) `.elc` file so as to get the new position.

Thanks, that's an idea.

I don't remember doing that, but I'll try to reproduce this somehow.  I
tried it just now with a simple recipe but that didn't trigger the
checks in my init.el.  Have to read the code that does that reloading, I
guess.